## r-cran-memoise 1.0.0

=== DESCRIPTION ===
Encoding: UTF-8
Package: memoise
Title: Memoisation of Functions
Version: 1.0.0
Authors@R: c(
    person("Hadley", "Wickham", , "hadley@rstudio.com", role = "aut"),
    person("Jim", "Hester", , "jim.hester@rstudio.com", role = c("aut", "cre")),
    person("Kirill", "Müller", , "krlmlr+r@mailbox.org", role = "aut"))
Description: Cache the results of a function so that when you call it
    again with the same arguments it returns the pre-computed value.
URL: https://github.com/hadley/memoise
BugReports: https://github.com/hadley/memoise/issues
Imports: digest (>= 0.6.3)
Suggests: testthat
License: MIT + file LICENSE
RoxygenNote: 5.0.1
NeedsCompilation: no
Packaged: 2016-01-28 19:30:15 UTC; jhester
Author: Hadley Wickham [aut],
  Jim Hester [aut, cre],
  Kirill Müller [aut]
Maintainer: Jim Hester <jim.hester@rstudio.com>
Repository: CRAN
Date/Publication: 2016-01-29 05:58:01

=== debian/changelog ===
r-cran-memoise (1.0.0-1build1) artful; urgency=medium

  * No-change rebuild to pick up r-api-3.4

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 27 Sep 2017 14:08:42 +0000

r-cran-memoise (1.0.0-1) unstable; urgency=medium

  * New upstream version
  * Rename source package to the usual naming pattern
  * cme fix dpkg-control
  * Convert to dh-r
  * Canonical homepage for CRAN
  * Update copyright
  * Drop Ivo Maintz from Uploaders
  * debhelper 10
  * d/watch: version=4
  * Add autopkgtest

 -- Andreas Tille <tille@debian.org>  Wed, 30 Nov 2016 10:24:09 +0100

memoise (0.2.1-1) unstable; urgency=medium

  * New upstream version
  * Remove extra license file

 -- Andreas Tille <tille@debian.org>  Tue, 01 Jul 2014 17:33:19 +0200

memoise (0.1-2) unstable; urgency=low

  * Add README.test
  * rebuild with recent R
    Closes: #730747
  * canonical Vcs URLs

 -- Andreas Tille <tille@debian.org>  Fri, 29 Nov 2013 10:51:00 +0100

memoise (0.1-1) unstable; urgency=low

  * Initial release (Closes: #701568)

 -- Ivo Maintz <ivo@maintz.de>  Sun, 24 Feb 2013 16:42:10 +0100

=== debian/control ===
Source: r-cran-memoise
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 10),
               r-base-dev,
               r-cran-digest,
               dh-r
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-cran-memoise/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-cran-memoise/trunk/
Homepage: https://cran.r-project.org/package=memoise

Package: r-cran-memoise
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Memoise functions
 Cache the results of a function so that when you call it again with the same
 arguments it returns the pre-computed value.

=== debian/watch ===
version=4
http://cran.r-project.org/src/contrib/memoise_([\d.-]*)\.tar.gz

## r-cran-memoise 1.1.0

=== DESCRIPTION ===
Encoding: UTF-8
Package: memoise
Title: Memoisation of Functions
Version: 1.1.0
Authors@R: c(
    person("Hadley", "Wickham", , "hadley@rstudio.com", role = "aut"),
    person("Jim", "Hester", , "jim.hester@rstudio.com", role = c("aut", "cre")),
    person("Kirill", "Müller", , "krlmlr+r@mailbox.org", role = "aut"),
    person("Daniel", "Cook", , "danielecook@gmail.com", role = "aut"))
Description: Cache the results of a function so that when you call it
    again with the same arguments it returns the pre-computed value.
URL: https://github.com/hadley/memoise
BugReports: https://github.com/hadley/memoise/issues
Imports: digest (>= 0.6.3)
Suggests: testthat, aws.s3, httr, covr
Additional_repositories: http://cloudyr.github.io/drat
License: MIT + file LICENSE
RoxygenNote: 6.0.1
NeedsCompilation: no
Packaged: 2017-04-20 17:35:47 UTC; jhester
Author: Hadley Wickham [aut],
  Jim Hester [aut, cre],
  Kirill Müller [aut],
  Daniel Cook [aut]
Maintainer: Jim Hester <jim.hester@rstudio.com>
Repository: CRAN
Date/Publication: 2017-04-21 05:54:22 UTC

=== debian/changelog ===
r-cran-memoise (1.1.0-3build1) groovy; urgency=medium

  * No-change rebuild against r-api-4.0

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 30 May 2020 14:17:43 +0000

r-cran-memoise (1.1.0-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit,
    Repository, Repository-Browse.

  [ Andreas Tille ]
  * Standards-Version: 4.5.0 (routine-update)
  * autopkgtest: s/ADTTMP/AUTOPKGTEST_TMP/g (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Andreas Tille <tille@debian.org>  Sat, 16 May 2020 21:15:19 +0200

r-cran-memoise (1.1.0-2) unstable; urgency=medium

  * Rebuild for R 3.5 transition
  * debhelper 11
  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * Point Vcs fields to salsa.debian.org
  * dh-update-R to update Build-Depends
  * Secure URI in watch file

 -- Andreas Tille <tille@debian.org>  Fri, 01 Jun 2018 11:19:18 +0200

r-cran-memoise (1.1.0-1) unstable; urgency=medium

  * New upstream version
  * Moved packaging from SVN to Git
  * Standards-Version: 4.1.1

 -- Andreas Tille <tille@debian.org>  Fri, 29 Sep 2017 21:57:36 +0200

=== debian/control ===
Source: r-cran-memoise
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-r,
               r-base-dev,
               r-cran-digest
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-memoise
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-memoise.git
Homepage: https://cran.r-project.org/package=memoise
Rules-Requires-Root: no

Package: r-cran-memoise
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Memoise functions
 Cache the results of a function so that when you call it again with the same
 arguments it returns the pre-computed value.

## r-cran-memoise 2.0.0

=== DESCRIPTION ===
Package: memoise
Title: Memoisation of Functions
Version: 2.0.0
Authors@R: 
    c(person(given = "Hadley",
             family = "Wickham",
             role = "aut",
             email = "hadley@rstudio.com"),
      person(given = "Jim",
             family = "Hester",
             role = c("aut", "cre"),
             email = "jim.hester@rstudio.com"),
      person(given = "Winston",
             family = "Chang",
             role = "aut",
             email = "winston@rstudio.com"),
      person(given = "Kirill",
             family = "Müller",
             role = "aut",
             email = "krlmlr+r@mailbox.org"),
      person(given = "Daniel",
             family = "Cook",
             role = "aut",
             email = "danielecook@gmail.com"),
      person(given = "Mark",
             family = "Edmondson",
             role = "ctb",
             email = "r@sunholo.com"))
Description: Cache the results of a function so that when you
    call it again with the same arguments it returns the pre-computed
    value.
License: MIT + file LICENSE
URL: https://github.com/r-lib/memoise
BugReports: https://github.com/r-lib/memoise/issues
Imports: rlang (>= 0.4.10), cachem
Suggests: digest, aws.s3, covr, googleAuthR, googleCloudStorageR, httr,
        testthat
Encoding: UTF-8
RoxygenNote: 7.1.1
NeedsCompilation: no
Packaged: 2021-01-26 16:15:31 UTC; winston
Author: Hadley Wickham [aut],
  Jim Hester [aut, cre],
  Winston Chang [aut],
  Kirill Müller [aut],
  Daniel Cook [aut],
  Mark Edmondson [ctb]
Maintainer: Jim Hester <jim.hester@rstudio.com>
Repository: CRAN
Date/Publication: 2021-01-26 17:20:02 UTC

=== debian/changelog ===
r-cran-memoise (2.0.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Testsuite: autopkgtest-pkg-r (routine-update)
  * Build-Depends: r-cran-cachem

 -- Andreas Tille <tille@debian.org>  Fri, 05 Feb 2021 14:03:11 +0100

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,14 @@
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
+Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-digest
-Standards-Version: 4.5.0
+               r-cran-rlang (>= 0.4.10),
+               r-cran-cachem
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-memoise
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-memoise.git
 Homepage: https://cran.r-project.org/package=memoise

## r-cran-memoise 2.0.1

=== DESCRIPTION ===
Package: memoise
Title: 'Memoisation' of Functions
Version: 2.0.1
Authors@R: 
    c(person(given = "Hadley",
             family = "Wickham",
             role = "aut",
             email = "hadley@rstudio.com"),
      person(given = "Jim",
             family = "Hester",
             role = "aut"),
      person(given = "Winston",
             family = "Chang",
             role = c("aut", "cre"),
             email = "winston@rstudio.com"),
      person(given = "Kirill",
             family = "Müller",
             role = "aut",
             email = "krlmlr+r@mailbox.org"),
      person(given = "Daniel",
             family = "Cook",
             role = "aut",
             email = "danielecook@gmail.com"),
      person(given = "Mark",
             family = "Edmondson",
             role = "ctb",
             email = "r@sunholo.com"))
Description: Cache the results of a function so that when you
    call it again with the same arguments it returns the previously computed
    value.
License: MIT + file LICENSE
URL: https://memoise.r-lib.org, https://github.com/r-lib/memoise
BugReports: https://github.com/r-lib/memoise/issues
Imports: rlang (>= 0.4.10), cachem
Suggests: digest, aws.s3, covr, googleAuthR, googleCloudStorageR, httr,
        testthat
Encoding: UTF-8
RoxygenNote: 7.1.2
NeedsCompilation: no
Packaged: 2021-11-24 21:24:50 UTC; jhester
Author: Hadley Wickham [aut],
  Jim Hester [aut],
  Winston Chang [aut, cre],
  Kirill Müller [aut],
  Daniel Cook [aut],
  Mark Edmondson [ctb]
Maintainer: Winston Chang <winston@rstudio.com>
Repository: CRAN
Date/Publication: 2021-11-26 16:11:10 UTC

=== debian/changelog ===
r-cran-memoise (2.0.1-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 2.0.1
  * Run cme

 -- Nilesh Patra <nilesh@debian.org>  Sun, 28 Nov 2021 18:00:32 +0530

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                r-base-dev,
                r-cran-rlang (>= 0.4.10),
                r-cran-cachem
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-memoise
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-memoise.git
 Homepage: https://cran.r-project.org/package=memoise

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem R

override_dh_install:
	dh_install
	find . -name LICENSE -delete

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/memoise_([\d.-]*)\.tar.gz
